SNMPGETNEXT(1)

NAME
snmpgetnext - communicates with a network entity using SNMP GETNEXT requests

SYNOPSIS
snmpgetnext [COMMON OPTIONS] [-Cf] OID [OID]...

DESCRIPTION
snmpget is an SNMP application that uses the SNMP GETNEXT request to query for information on a network entity. One or more object identifiers (OIDs) may be given as arguments on the command line. Each variable name is given in the format specified in variables(5). For each one, the variable that is lexicographically "next" in the remote entity's MIB will be returned.

For example:

snmpgetnext -c public zeus interfaces.ifTable.ifEntry.ifType.1

will retrieve the variable interfaces.ifTable.ifEntry.ifType.2:

interfaces.ifTable.ifEntry.ifType.2 = softwareLoopback(24)

If the network entity has an error processing the request packet, an error message will be shown, helping to pinpoint in what way the request was malformed.

OPTIONS
snmpgetnext takes the common options described in the snmpcmd(1) manual page and also the -Cf option described in the snmpget(1) manual page.

SEE ALSO
snmpcmd(1), snmpget(1), variables(5).